Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm a newbie to Linux and Ubuntu, and I'm trying to install a package called libstdc++2.10-glibc2.2 I first use wget

wget http://packages.ubuntu.com/dapper/libstdc++2.10-glibc2.2

It gives me saving to libstdc++2.10-glibc2.2.4 so it adds an extra .4 at the end. Then I do

sudo dpkg -i libstdc++2.10-glibc2.2.4

and it gives me

dpkg-deb: error: `libstdc++2.10-glibc2.2.4' is not a debian format archive
dpkg: error processing libstdc++2.10-glibc2.2.4 (--install):
 subprocess dpkg-deb --control returned error exit status 2
Errors were encountered while processing:
 libstdc++2.10-glibc2.2.4

What am I doing wrong?

share|improve this question
add comment

2 Answers

up vote 4 down vote accepted

There is no package by the name of libstdc++2.10-glibc2.2. You can check this by going to the URL that you have mentioned in the question: http://packages.ubuntu.com/dapper/libstdc++2.10-glibc2.2.

When you run wget for the above URL, you end up downloading the web page (check the wget command output which states that you are downloading text/html).

If you want to install the C++ compiler and the C++ STL, then just install g++. sudo apt-get install g++.

share|improve this answer
add comment

In general you should install from the package management system (using the Software Centre or Synaptic or Muon or apt-get etc), instead of downloading deb files this way. Why do you want to install libstdc++2.10-glibc2.2? Are you actually using Ubuntu 6.06 Dapper Drake?

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.